Attean::QuadModel(3pm)

NAME
Attean::QuadModel - RDF model backed by a quad-store

VERSION
This document describes Attean::QuadModel version 0.012

SYNOPSIS
  use v5.14;
  use Attean;
  my $model = Attean::QuadModel->new( store => $store );

DESCRIPTION
The Attean::QuadModel class represents a model that is backed by a single Attean::API::QuadStore object. It conforms to the Attean::API::Model role.

The Attean::QuadModel constructor requires one named argument:

store
    A Attean::API::QuadStore object representing the backing quad-store.

METHODS

"get_quads ( $subject, $predicate, $object, $graph )"
    Returns an Attean::API::Iterator for quads in the model that match the supplied $subject, $predicate, $object, and $graph. Any of these terms may be undefined or a Attean::API::Variable object, in which case that term will be considered as a wildcard for the purposes of matching.

    The returned iterator conforms to both Attean::API::Iterator and Attean::API::QuadIterator.

"plans_for_algebra( $algebra, $model, $active_graphs, $default_graphs )"
    Delegates to the underlying store if the store consumes Attean::API::CostPlanner.

"cost_for_plan( $plan )"
    Delegates to the underlying store if the store consumes Attean::API::CostPlanner.

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/attean/issues>.

SEE ALSO
<http://www.perlrdf.org/>

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2014--2016 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.